Loading...
Searching...
No Matches
iterator.hpp File Reference

primesieve::iterator allows to easily iterate (forwards and backwards) over prime numbers. More...

`#include <stdint.h>`
`#include <cstddef>`
`#include <limits>`
Include dependency graph for iterator.hpp:
This graph shows which files directly or indirectly include this file:

## Classes

struct | primesieve::iterator
| primesieve::iterator allows to easily iterate over primes both forwards and backwards. More...

## Macros

#define | IF_UNLIKELY_PRIMESIEVE(x)

## Detailed Description

primesieve::iterator allows to easily iterate (forwards and backwards) over prime numbers.

Copyright (C) 2024 Kim Walisch, kim.w.nosp@m.alis.nosp@m.ch@gm.nosp@m.ail..nosp@m.com

This file is distributed under the BSD License. See the COPYING file in the top level directory.

## Macro Definition Documentation

## IF_UNLIKELY_PRIMESIEVE

#define IF_UNLIKELY_PRIMESIEVE | ( |  | x | ) |

Value:
if (x)